---
# Don't forget to keep this file updated
# molecule/<scenario>/verify.yml
- name: "Verify"
  hosts: "local"
  gather_facts: false
  tasks:

    - name: "Verify Root CA"
      block:
        - name: "Set facts"
          ansible.builtin.set_fact:
            root_ca_name: "{{ inv__bootstrap_ssl_files__root_ca.cn | replace(' ', '-') }}"
            root_ca_path: "{{ inv__bootstrap_ssl_files__base_path }}/{{ inv__bootstrap_ssl_files__root_ca.cn | replace(' ', '-') }}"

        - name: "Verify"
          register: "output"
          changed_when: "output.rc != 0"
          ansible.builtin.command: "openssl verify -CAfile {{ root_ca_path }}/certs/ca-chain.pem.crt {{ root_ca_path }}/certs/ca-chain.pem.crt"

    - name: "Verify Intermediate CA"
      loop: "{{ inv__bootstrap_ssl_files__intermediates_ca }}"
      loop_control:
        loop_var: "intermediate_ca"
      ansible.builtin.include_tasks:
        file: "tasks/verify_intermediate_ca.yml"

    - name: "Verify Intermediate CA"
      loop: "{{ inv__bootstrap_ssl_files__end_certs }}"
      loop_control:
        loop_var: "certificate"
      ansible.builtin.include_tasks:
        file: "tasks/verify_end_certificate.yml"
